/* $Id: OdinCmd.cpp for Odin
 * $auth: Steve Torchinsky
 * $created: Calgary, Tuesday, 2001 May 15, 12:47:23
 *
 * This is for the cpp version of mkbckseq
 * mkbckseq is a Bash script employing sed and gawk which
 * uses templates to create backend command scripts
 *
 * The cpp version will do the same job, and will also read
 * the mode configurations from text files exported from the
 * Radiometer_modes.xls excel spreadsheet by Urban Frisk
 *
 * the methods of class OdinCmd are defined here.
 * so far there's only one, the method to print out commands
 *
 * Calgary, Wednesday, 2002 February 20, 16:37:35
 *  using strstream variable instead of pointer to strstream
 */

#include "OdinCmd.h"
#include <cstdlib>
#include <strstream>
#include <cstring>
#include <iomanip>


OdinCmd::OdinCmd(){
}

OdinCmd::~OdinCmd(){
}

char *OdinCmd::cmd(int usr, int addr, int data, char *comment){
  strstream mkCmd;
  mkCmd << "User($"
	<< hex 
	<< setiosflags(ios::uppercase) << setfill('0') 
	<< setw(2) << setprecision(2)
	<< usr
	<< ", $"
	<< setw(2) << setprecision(2)
	<< addr
	<< ", $"
	 << setw(4) << setprecision(4)
	<< data
	<< ")!"
	<< comment
	<< "\n"
	<< ends;

  return mkCmd.str();
}
