/* $Id: mkBckSeq.h for Odin
 * $auth: Steve Torchinsky
 * $created: Calgary-to-Toronto, Tuesday, 2001 May 08, 10:53:13
 *
 * This is the cpp version of mkbckseq
 * mkbckseq is a Bash script employing sed and gawk which
 * uses templates to create backend command scripts
 *
 * The cpp version will do the same job, and will also read
 * the mode configurations from text files exported from the
 * Radiometer_modes.xls excel spreadsheet by Urban Frisk
 *
 * the template for class mkBckSeq
 *
 * 
 */

#ifndef MKBCKSEQ_H
#define MKBCKSEQ_H

#include <cstdlib>
#include <fstream>

#include "../OdinTM.h"
#include "OdinCmd.h"
#include "bckCmd.h"
#include "smrModes.h"

class mkBckSeq {
 public:
  mkBckSeq();
  ~mkBckSeq();

  bool mkAllSequences();

 private:
  bckCmd *bck;
  smrModes *modes;

  bool readModes();

  bool assignMode(short);

  bool mkdir(char *);

  ofstream *bckseq;
  bool openSeqFile();
  
  bool mkSequences();


  short acdc;
  short mechController;

};
  


#endif
